# Standard Test Interface Scripts

## `merge-standard-inventory`

`merge-standard-inventory` is a wrapper script that runs _all_ of the
available Standard Testing Interface dynamic inventory scripts from
`/usr/share/ansible/inventory` and merges their output. This allows
an individual test to provide a single customized dynamic inventory
script that sets up certain environment variables before running all
the default standard-inventory scripts. To make use of it, simply
have `ansible` use the custom inventory script (which makes use of
the `merge-standard-inventory` wrapper) in place of the
`/usr/share/ansible/inventory` directory.

The following short example custom inventory script sets the
`TEST_DOCKER_EXTRA_ARGS` environment variable before running
`merge-standard-inventory` with any command line arguments provided
by ansible. By doing this, when `merge-standard-inventory` runs the
`standard-inventory-docker` script it will launch the docker
container with `CAP_SYS_ADMIN` capabilities (if the `TEST_SUBJECTS`
environment variable triggers a container to be launched). Other
`standard-inventory-*` scripts will simply ignore the
`TEST_DOCKER_EXTRA_ARGS` environment variable--but may have their own
environment variables set in the inventory script.

```
#!/bin/bash
export TEST_DOCKER_EXTRA_ARGS="--cap-add=SYS_ADMIN"
exec merge-standard-inventory "$@"
```
